# to be run at 12:00, starting a new night PV voltage recording etc.

cd /home/hollan/light/PV

gnuplot night.gnp

D=`date '+%y%m%d'`
mv night.txt $D.txt
mv night.png $D.png
BegR=`sed -rn '${s/([-0-9Sep:.]+ ){7}([0-9.]+) .*/\2/p}' apdata.txt`
mv apdata.txt ${D}_m.txt



/home/hollan/x/multimet_v -6 -t 5 -T 86360 -o night.txt &

 M=`date '+%y%m'`

DD=`date '+%d'`
echo "<A href=\"$M/${D}_m.png\"><IMG src=\"small/${D}_m.png\"></A>&nbsp;$DD " >>$M.htm

LC_TIME=C

./final_large.sh $D
./final_large_m.sh $D
./final_lar_mpw.sh $D

./final_small.sh $D
./final_small_m.sh $D

DD=`date '+%-d'`
Dnew=$[$DD+1]

/home/hollan/bin/sol_heights -n0 >/tmp/nold

/home/hollan/bin/sol_heights -d$Dnew -n0 >/tmp/nnew

sed  "/^2006/{s/2006............../               5.9/}" /tmp/nold >nold
sed  "/^2006/{s/2006............../               5.9/}" /tmp/nnew >nnew

#/usr/local/bin/planet c10 t12 nb ne i n240 s0.1h ze15 >/tmp/m
/home/hollan/bin/planet3 c10 t12 nb ne k4 nr n240 s0.1h ze0 >/tmp/m

scp $M.htm jhollan@amper:www/light/luminance/PV
scp $D.txt $D.png ${D}_m.png jhollan@amper:www/light/luminance/PV/$M


/usr/local/bin/planet c0 t12 nb nr ne i n240 s0.1h ze15 >/tmp/s

sed -n "/of the used time/  {N;  s/(.*) of the used time:\nMoon[ ]*// ;
 s/:/ /g; s/2006-.*at //p} " /tmp/m >m.txt

sed -n "/of the used time/  {N;  s/(.*) of the used time:\nSUN[ ]*// ;
 s/:/ /g; s/2006-.*at //p} " /tmp/s  >s.txt


sed "s/set size 1.8/set size 1.3/" night_basic.gnp >night.gnp
sed "1{i\
  Beg=$BegR
  } 
  s/set size 1.8/set size 1.3/" night_bas_m.gnp >night_m.gnp

sed "1{i\
  Beg=$BegR
  } 
  s/set size 1.8/set size 1.3/" night_ba_mpw.gnp >night_mpw.gnp

mv $D*.png $M
mv $D*.txt $M

cd small
scp $D.png ${D}_m.png jhollan@amper:www/light/luminance/PV/small
